/usr/bin/gnome-control-center:11:update_buffers:image_get_buffers:intel_update_image_buffers:intel_update_renderbuffers:intel_prepare_render

Bug #1720400 reported by errors.ubuntu.com bug bridge on 2017-09-29
264
This bug affects 72 people
Affects Status Importance Assigned to Milestone
GTK+
Fix Released
Medium
gnome-control-center (Ubuntu)
High
Andrea Azzarone
gtk+3.0 (Ubuntu)
High
Andrea Azzarone
Artful
High
Unassigned

Bug Description

Impact
======
On artful every time gnome-control-center (goa panel) is used to add a google account, gnome-control-center crashes. This is one of the most reported crashes after the release.

Test Case
=========
- Open gnome-control-center
- Go to online-account panel
- Add a Google online account.
- gnome-control-center should not crash while adding a google online account.

Regression Potential
===================
This is a minimal patch applied upstream:
https://git.gnome.org/browse/gtk+/commit/?h=gtk-3-22&id=1c3aff510

Check if closing a gtk window/dialog creates no artifacts both on xorg and on wayland.

Original Bug Report
===================
The Ubuntu Error Tracker has been receiving reports about a problem regarding gnome-control-center. This problem was most recently seen with package version 1:3.26.0-0ubuntu3, the problem page at https://errors.ubuntu.com/problem/f738a467f5d04cbf9ac6cf7554a28bd064e4091a contains more details, including versions of packages affected, stacktrace or traceback, and individual crash reports.
If you do not have access to the Ubuntu Error Tracker and are a software developer, you can request it at http://forms.canonical.com/reports/.

Related branches

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-control-center (Ubuntu):
status: New → Confirmed
Andrea Azzarone (azzar1) wrote :

Steps to reproduce:
1) login in wayland session
2) open gnome control center
3) go to "Online Accounts" panel
4) Add a new Google account
5) Follow the steps

System should crash at the end of the process.

Changed in gnome-control-center (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → High
Andrea Azzarone (azzar1) wrote :

In the above comment, "system should crash" refers to "gnome-control-center should crash".

Andrea Azzarone (azzar1) on 2017-10-18
Changed in gnome-control-center (Ubuntu):
assignee: nobody → Andrea Azzarone (azzar1)
status: Triaged → In Progress
Changed in gnome-control-center:
importance: Unknown → Medium
status: Unknown → Confirmed
affects: gnome-control-center → gtk
Changed in gtk+3.0 (Ubuntu):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Andrea Azzarone (azzar1)
PJSingh5000 (pjsingh5000) wrote :

Same experience as in #2...

Just added Google account in Online Accounts in Control Center, and Control Center crashed. Despite the crash, the Google account was added successfully and seems to be working.

GonzoDark (gonzo-dark) wrote :

Same here, made a fresh install of the distro, added the google account and then the crash happened

Also happens after adding a Microsoft account. I just upgraded from 16.04 to 17.10. It is a bit annoying but the added Accounts are working well.

Alvin Cura (alvinc) wrote :

Ditto here for PJSingh5000. I had added a google account as well.

gloonie (gloonie) wrote :

Ditto here. I added a Google account also. This was after a fresh install.

Hi all, there's already a proposed fix for gtk+ upstream. I'm preparing a
distro patch to SRU the issue.

On 24 Oct 2017 19:11, "gloonie" <email address hidden> wrote:

> Ditto here. I added a Google account also. This was after a fresh
> install.
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1720400
>
> Title:
> /usr/bin/gnome-control-
> center:11:update_buffers:image_get_buffers:intel_
> update_image_buffers:intel_update_renderbuffers:intel_prepare_render
>
> Status in GTK+:
> Confirmed
> Status in gnome-control-center package in Ubuntu:
> In Progress
> Status in gtk+3.0 package in Ubuntu:
> In Progress
>
> Bug description:
> The Ubuntu Error Tracker has been receiving reports about a problem
> regarding gnome-control-center. This problem was most recently seen with
> package version 1:3.26.0-0ubuntu3, the problem page at
> https://errors.ubuntu.com/problem/f738a467f5d04cbf9ac6cf7554a28bd064e4091a
> contains more details, including versions of packages affected, stacktrace
> or traceback, and individual crash reports.
> If you do not have access to the Ubuntu Error Tracker and are a software
> developer, you can request it at http://forms.canonical.com/reports/.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/gtk/+bug/1720400/+subscriptions
>
> Launchpad-Notification-Type: bug
> Launchpad-Bug: product=gtk; status=Confirmed; importance=Medium;
> assignee=None;
> Launchpad-Bug: distribution=ubuntu; sourcepackage=gnome-control-center;
> component=main; status=In Progress; importance=High; assignee=
> <email address hidden>;
> Launchpad-Bug: distribution=ubuntu; sourcepackage=gtk+3.0; component=main;
> status=In Progress; importance=High; assignee=andrea.azzarone@
> canonical.com;
> Launchpad-Bug-Tags: artful zesty
> Launchpad-Bug-Information-Type: Public
> Launchpad-Bug-Private: no
> Launchpad-Bug-Security-Vulnerability: no
> Launchpad-Bug-Commenters: alvinc azzar1 gloonie gonzo-dark janitor
> oliver-gerhardt pjsingh5000 whoopsie-daisy-bug-bridge
> Launchpad-Bug-Reporter: errors.ubuntu.com bug bridge
> (whoopsie-daisy-bug-bridge)
> Launchpad-Bug-Modifier: gloonie (gloonie)
> Launchpad-Message-Rationale: Assignee
> Launchpad-Message-For: azzar1
>

Andrea Azzarone (azzar1) on 2017-10-25
description: updated
Jeremy Bicha (jbicha) on 2017-10-25
description: updated
Changed in gtk:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gtk+3.0 - 3.22.25-0ubuntu1

---------------
gtk+3.0 (3.22.25-0ubuntu1) bionic; urgency=medium

  [ Simon McVittie ]
  * New upstream release (LP: #1728421)
    - Fix tiling behaviour with Mutter/Shell 3.26 (Closes: #879566)
    - Fix crash when adding Google online account (LP: #1720400)
    - Update symbols file
    - d/p/0001-Adwaita-Fix-typo-.backgrounf-.background.patch,
      d/p/0002-theme-Fix-Adwaita-headerbars.patch,
      d/p/0003-display-x11-Unset-tiled-state-if-_GTK_EDGE_CONSTRAIN.patch:
      Drop patches, applied upstream
    - d/p/gdk-wayland-protocol-server-decoration.patch:
      Add server-decoration.xml from upstream git. It is missing from the
      tarball release.

  [ Jeremy Bicha ]
  * Drop 0004_fix-gtkentry-wayland-regression.path:
    Because this caused a totem regression, we're fixing the
    bug in mutter instead.

 -- Andrea Azzarone <email address hidden> Wed, 25 Oct 2017 11:16:44 +0000

Changed in gtk+3.0 (Ubuntu):
status: In Progress → Fix Released
Jeremy Bicha (jbicha) on 2017-10-30
no longer affects: gnome-control-center (Ubuntu Artful)
Changed in gtk+3.0 (Ubuntu Artful):
importance: Undecided → High
status: New → In Progress

Hello errors.ubuntu.com, or anyone else affected,

Accepted gtk+3.0 into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gtk+3.0/3.22.25-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gtk+3.0 (Ubuntu Artful):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-artful
Jeremy Bicha (jbicha) wrote :

I completed the test case successfully with a Google Account using Ubuntu 17.10 and gtk+3.0 3.22.25-0ubuntu0.1.

Jeremy Bicha (jbicha) on 2017-11-07
tags: added: verification-done verification-done-artful
removed: verification-needed verification-needed-artful
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gtk+3.0 - 3.22.25-0ubuntu0.1

---------------
gtk+3.0 (3.22.25-0ubuntu0.1) artful; urgency=medium

  [ Simon McVittie ]
  * New upstream release (LP: #1728421)
    - Fix tiling behaviour with Mutter/Shell 3.26 (Closes: #879566)
    - Fix crash when adding Google online account (LP: #1720400)
    - Fixes log spam about cursor when running gnome-terminal on Wayland
      (LP: #1681910)
    - Update symbols file
    - d/p/0001-Adwaita-Fix-typo-.backgrounf-.background.patch,
      d/p/0002-theme-Fix-Adwaita-headerbars.patch,
      d/p/0003-display-x11-Unset-tiled-state-if-_GTK_EDGE_CONSTRAIN.patch:
      Drop patches, applied upstream
    - d/p/gdk-wayland-protocol-server-decoration.patch:
      Add server-decoration.xml from upstream git. It is missing from the
      tarball release.

  [ Jeremy Bicha ]
  * Drop 0004_fix-gtkentry-wayland-regression.path:
    Because this caused a totem regression, we're fixing the
    bug in mutter instead.
  * Drop some unapplied patches from the package source

 -- Jeremy Bicha <email address hidden> Mon, 30 Oct 2017 16:07:23 -0400

Changed in gtk+3.0 (Ubuntu Artful):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for gtk+3.0 has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Changed in gnome-control-center (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.